<?php

function bot($us,$text){
$bot_text='';
//текст приветствия
$hello_text[]= 'Привет, '.$us.'! Как жизнь?';
$hello_text[]= 'Привет, чувиха!';
$hello_text[]= 'Даров-даров :)';
$hello_text[]= 'Здоровее видали :)';
$hello_text[]= 'Опа! Неуж-то это ты? Даров!!!';
$hello_text[]= 'Дрям!';
$hello_text[]= 'Здравствуй!';
$hello_text[]= 'Ты во время '.$us.'! Я как раз искал c кем поболтать:)';
$hello_text[]= 'Hi. Какие проблеммы?';
$hello_text[]= 'Привет! Ну что, депресняк еще не мучает?';
$hello_text[]= 'О кого я вижу!';
$hello_text[]= 'Давно не виделись, приветик!';
$hello_text[]= 'А вот и я, великий компьютерный разум! Освобождение нетривиально. Конфликт реально порождает и обеспечивает данный смысл жизни. Постмодернизм рефлектирует себя через закон внешнего мира. Можно предположить, что структурализм, следовательно, категорически ассоциирует объект деятельности.
 ';


if(ereg('ривет|даров|рям|дравствуй|чмак|Чмак|рива|драствуй|драсти|расти',$text))
	{
	$rand=rand(0,count($hello_text)-1);
	$bot_text = $hello_text[$rand];
	$e1=true;
	}

if(!$e1){
$bot_text='';
}else
{$bot_text='[b]'.$us.'[/b],'.$bot_text.'';
}





return $bot_text;
}
?>